#ifndef COMMON_H
#define COMMON_H

#include <tparam/tparam.h>

typedef enum {
    Add,
    Subtract,
    Multiply,
    Divide,
    Equals
} Operator;

#define NAME_LENGTH 256
typedef struct
{
  char input[NAME_LENGTH+1];
  char output[NAME_LENGTH+1];
  char debug[NAME_LENGTH+1];

  Operator op;
  double operand;

  int version;
  int help;
} Common;

extern Common c;

#endif /* !COMMON_H */
