#include "Jitter/jutils.h"

std::ostream& operator<< ( std::ostream& ostr, const Eigen::Quaterniond& q) {

    ostr << q.x() << "\t" << q.y() << "\t" << q.z() << "\t" << q.w();

    return ostr;
}

std::ostream& operator<< ( std::ostream& ostr, const Eigen::Vector3d& v) {

    ostr << v.x() << "\t" << v.y() << "\t" << v.z();

    return ostr;
}
