require 'lunatest'

va = require('validate.args')

function setup()

   getmetatable( require('saotrace.config') ).reset()
   va.reset()
   va.opts{ check_spec = true,
	    error_on_bad_spec = true,
	 }
end

tests = {
   'spectrum_utils',
   'create_from_db',
   'create_from_db_utils',
   'ring_n_spoke',
   'ring_n_spoke_area',
   'ring_n_spoke_dist',
   'ea_ideal',
   'simple',
   'position',
   'coords',
   'xml2table',
   'load_sources'
}

for _, v in pairs(tests) do
   lunatest.suite( v )
end

lunatest.run()
