// -*-C++-*-

// --8<--8<--8<--8<--
//
// Copyright (C) 2011 Smithsonian Astrophysical Observatory
//
// This file is part of bpmanip
//
// bpmanip is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or (at
// your option) any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program.  If not, see <http://www.gnu.org/licenses/>.
//
// -->8-->8-->8-->8--

#ifndef BPMANIP_OPTIONS_H
#define BPMANIP_OPTIONS_H

#include <string>
#include <vector>

#include "Fields.h"

struct Options {

    Fields fields;
    bool strict;
    std::string input;
    std::string output;

    Options( int argc, char *argv[]);

};

#endif // ! BPMANIP_OPTIONS_H
